For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/es/api/latest/csm-ownership/list-ownership-history-by-owner-type.md. A documentation index is available at /llms.txt.
Language
Datadog site

List ownership history by owner type

ADVERTENCIANote: This endpoint is in Preview and may be subject to change. If you have any feedback, contact Datadog support.
GEThttps://api.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.us3.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.us5.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.datadoghq.eu/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.ap1.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.ap2.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.uk1.datadoghq.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.ddog-gov.com/api/v2/security/ownership/{resource_id}/{owner_type}/historyhttps://api.us2.ddog-gov.com/api/v2/security/ownership/{resource_id}/{owner_type}/history

Descripción general

List inference history entries for a resource filtered by owner type, ordered from most recent to oldest. Uses cursor-based pagination.

Argumentos

Parámetros de ruta

Nombre
Type
Descripción
resource_id [required]
string

The identifier of the resource to retrieve inference history for.

owner_type [required]
enum

The owner type to filter history by.

Allowed enum values: user, team, service, unknown

Cadenas de consulta

Nombre
Type
Descripción
cursor
string

An opaque, base64-encoded cursor token returned by a previous call in pagination.next_cursor. Omit to fetch the first page.

limit
integer

The maximum number of history entries to return per page.

Default: 25

Respuesta

OK

The response returned when listing the inference history for a resource.

Campo
Type
Descripción
data [required]
object

The data wrapper for an ownership history response.

Ejemplo de código

List ownership history by owner type
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="us3.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="us5.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.eu"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="ap1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="ap2.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="uk1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
# Path parameters
export resource_id="res-1"
export owner_type="team"

# Set your Datadog site and credentials
export DD_SITE="us2.ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/security/ownership/${resource_id}/${owner_type}/history" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"